package com.zh.project0512.mapper;

import com.zh.project0512.model.TaskDepartment;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Insert;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2022-06-15
 */
public interface TaskDepartmentMapper extends BaseMapper<TaskDepartment> {
    @Insert("<script> " +
        "insert into taskDepartment (taskId,departmentId) values\n"+
        "  <foreach collection= 'list' item= 'item'  separator=','>\n" +
        "(#{taskId},#{item})\n"+
        "</foreach> \n"+
        "</script>")
    void addGroup(List<Integer> list, int taskId);
}
