package com.zh.project0512.model.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 操作用户权限DTO
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class OperationRoleJurisdictionDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 角色主键id
     */
    @Schema(title = "角色主键id")
    @NotNull(message = "角色主键id不能为空")
    private Integer roleId;
    /**
     * 权限主键id数组
     */
    private int[] jurisdictionIds;
}
