package com.zh.project0512.model.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 用户积分 Vo
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class UserPointsVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 当前积分
     */
    @Schema(title = "当前积分")
    private Integer points;
    /**
     * 累计获得积分
     */
    @Schema(title = "累计获得积分")
    private Integer historyPoints;
}
