package com.zh.project0512.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.project0512.model.Rank;
import com.zh.project0512.model.dto.RankListDTO;
import com.zh.project0512.model.vo.RankListVo;
import com.zh.project0512.utils.page.PageInfo;


public interface IRankService {
    /**
     * 查询排行榜列表
     * @param rankListDTO 排行列表DTO
     * @return 排行列表 Vo
     */
    IPage<Rank> rankList(RankListDTO rankListDTO);
}
