package com.zh.project0512.serviceImpl;

import com.alibaba.fastjson.JSONObject;
import com.zh.project0512.model.AppMessage;
import com.zh.project0512.mapper.AppMessageMapper;
import com.zh.project0512.service.IAppMessageService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-06-29
 */
@Service
public class AppMessageServiceImpl extends ServiceImpl<AppMessageMapper, AppMessage> implements IAppMessageService {
    @Autowired
    private AppMessageMapper appMessageMapper;

    public JSONObject countUnsettledMsg(String openid) {
        return appMessageMapper.countUnsettledMsg(openid);
    }
}
