package com.zh.project0512.mapper;

import com.zh.project0512.model.TaskTag;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2022-05-22
 */
public interface TaskTagMapper extends BaseMapper<TaskTag> {
    @Insert("<script> " +
        "insert into taskTag (taskId,tagId) values\n"+
        "  <foreach collection= 'list' item= 'item'  separator=','>\n" +
        "(#{taskId},#{item})\n"+
        "</foreach> \n"+
        "</script>")
    void addGroup(List<Integer> list,int taskId);
    @Select("select tag.id,tag.title from taskTag,tag where taskId = #{id} and tag.id = taskTag.tagId")
    List<Map> selByTaskId(int id);
}
