package com.zh.project0512.model.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 用户角色 update DTO
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class AdminRoleUpdateDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 用户角色主键id
     */
    @Schema(title = "用户角色主键id")
    private Integer id;
    /**
     * 用户角色名称
     */
    @Schema(title = "用户角色名称")
    private String name;
}
