package com.zh.project0512.serviceImpl;

import com.zh.project0512.mapper.TagMapper;
import com.zh.project0512.model.Tag;
import com.zh.project0512.model.TeachingRefe;
import com.zh.project0512.mapper.TeachingRefeMapper;
import com.zh.project0512.service.ITeachingRefeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-06-14
 */
@Service
public class TeachingRefeServiceImpl extends ServiceImpl<TeachingRefeMapper, TeachingRefe> implements ITeachingRefeService {
    @Autowired
    private TeachingRefeMapper teachingRefeMapper;
    public void addTeachingRefe(TeachingRefe teachingRefe){
        teachingRefeMapper.addTeachingRefe(teachingRefe);
    }
    public void updSort(int origin, int current, boolean originHigherCurrent) {
        teachingRefeMapper.updSort(origin, current, originHigherCurrent);
    }
}
