package com.zh.project0512.serviceImpl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.project0512.model.Reference;
import com.zh.project0512.model.UserReference;
import com.zh.project0512.mapper.UserReferenceMapper;
import com.zh.project0512.service.IUserReferenceService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-05-26
 */
@Service
public class UserReferenceServiceImpl extends ServiceImpl<UserReferenceMapper, UserReference> implements IUserReferenceService {
    @Autowired
    private UserReferenceMapper userReferenceMapper;
    public void addGroup(int userId,List<Integer> referenceIdList, LocalDateTime creatAt){
        userReferenceMapper.addGroup(userId, referenceIdList, creatAt);
    }
    public IPage<String> dateList(IPage iPage, String openid, List<Integer> tagIdList, List<Integer> brandIdList, @Param("ew") Wrapper<Reference> queryWrapper){
        return userReferenceMapper.dateList(iPage,openid,tagIdList,brandIdList,queryWrapper);
    }
    public List<Map> list(String openid,List<String> list,List<Integer> tagIdList,List<Integer> brandIdList, @Param("ew") Wrapper<Reference> queryWrapper) {
        return userReferenceMapper.list(openid, list, tagIdList, brandIdList, queryWrapper);
    }
}
