package com.zh.project0512.utils;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zh.project0512.utils.result.HttpStatusEnum;
import com.zh.project0512.utils.result.Result;

public class MybatisPlusUtil {
    /**
     * 启动分页
     *
     * @return*/
    public static Page SetPage(JSONObject obj){
         if(obj == null){
             return new Page(1,10);
         }
        Integer pageNum = obj.getInteger("pageNum");
        Integer pageSize = obj.getInteger("pageSize");
        return new Page(pageNum !=null?pageNum:1,(pageSize!=null&&pageSize!=0)?pageSize:10);
    }
    public static Page SetNumPage(Integer pageNum,Integer pageSize){
        return new Page(pageNum !=null?pageNum:1,(pageSize!=null&&pageSize!=0)?pageSize:10);
    }
    public static Result sqlResult(Boolean result,String sqlOperate){
        if (result) {
            return Result.success(sqlOperate+"完成！");
        }
        return Result.fail(HttpStatusEnum.BAD_REQUEST,"没有该条数据");
    }

}
